# Copyright (C) 2015 OpenWrt-dist
# Copyright (C) 2022 houzi- <wojiaolinmu008@gmail.com>
#
# This is free software, licensed under the GNU General Public License v3.
# See /LICENSE for more information.
#

export KSROOT=/koolshare
source $KSROOT/scripts/base.sh
SOFT_DIR=/koolshare
KP_DIR=$SOFT_DIR/koolproxy

set -x

update_hb_list(){
	koolproxy_white_update_oline=`wget -P /tmp -q https://houzi008.coding.net/p/koolproxy_list/d/koolproxy_list/git/raw/master/koolproxy_white_update.conf.md && cat /tmp/koolproxy_white_update.conf.md && rm -rf /tmp/koolproxy_white_update.conf.md`
	koolproxy_white_ip_update_oline=`wget -P /tmp -q https://houzi008.coding.net/p/koolproxy_list/d/koolproxy_list/git/raw/master/koolproxy_white_ip_update.md && cat /tmp/koolproxy_white_ip_update.md && rm -rf /tmp/koolproxy_white_ip_update.md`
	koolproxy_ipset_oline=`wget -P /tmp -q https://houzi008.coding.net/p/koolproxy_list/d/koolproxy_list/git/raw/master/koolproxy_ipset.conf.md && cat /tmp/koolproxy_ipset.conf.md && rm -rf /tmp/koolproxy_ipset.conf.md`
	koolproxy_ipset_ip_oline=`wget -P /tmp -q https://houzi008.coding.net/p/koolproxy_list/d/koolproxy_list/git/raw/master/koolproxy_ipset_ip.md && cat /tmp/koolproxy_ipset_ip.md && rm -rf /tmp/koolproxy_ipset_ip.md`

	koolproxy_white_update_local=`md5sum $KSROOT/koolproxy/data/koolproxy_white_update.conf | awk '{print $1}'`
	koolproxy_white_ip_update_local=`md5sum $KSROOT/koolproxy/data/koolproxy_white_ip_update.list | awk '{print $1}'`
	koolproxy_ipset_local=`md5sum $KSROOT/koolproxy/data/koolproxy_ipset.conf | awk '{print $1}'`
	koolproxy_ipset_ip_local=`md5sum $KSROOT/koolproxy/data/koolproxy_ipset_ip.list | awk '{print $1}'`

	if [ "$koolproxy_white_update_oline" == "$koolproxy_white_update_local" ]; then
		:
		[ "$koolproxy_white_ip_update_oline" == "$koolproxy_white_ip_update_local" ] && {
			:
		} || {
			:
			wget -O $KSROOT/koolproxy/data/koolproxy_white_ip_update.list -q https://houzi008.coding.net/p/koolproxy_list/d/koolproxy_list/git/raw/master/koolproxy_white_ip_update.list
			koolproxy_white_ip=`cat $KSROOT/koolproxy/data/koolproxy_white_ip_update.list`
			for w in $koolproxy_white_ip
			do
				ipset -! add white_koolproxy $w >/dev/null 2>&1
			done
		}
	else
		:
		wget -O $KSROOT/koolproxy/data/koolproxy_white_update.conf -q https://houzi008.coding.net/p/koolproxy_list/d/koolproxy_list/git/raw/master/koolproxy_white_update.conf
		[ ! -L "tmp/dnsmasq.d/koolproxy_white_update.conf" ] && ln -sf $KP_DIR/data/koolproxy_white_update.conf /tmp/dnsmasq.d/koolproxy_white_update.conf
		[ "$koolproxy_white_ip_update_oline" == "$koolproxy_white_ip_update_local" ] && {
			:
		} || {
			:
			wget -O $KSROOT/koolproxy/data/koolproxy_white_ip_update.list -q https://houzi008.coding.net/p/koolproxy_list/d/koolproxy_list/git/raw/master/koolproxy_white_ip_update.list
			koolproxy_white_ip=`cat $KSROOT/koolproxy/data/koolproxy_white_ip_update.list`
			for w in $koolproxy_white_ip
			do
				ipset -! add white_koolproxy $w >/dev/null 2>&1
			done
		}
	fi

	if [ "$koolproxy_ipset_oline" == "$koolproxy_ipset_local" ]; then
		:
		[ "$koolproxy_ipset_ip_oline" == "$koolproxy_ipset_ip_local" ] && {
		:
		} || {
			:
			wget -O $KSROOT/koolproxy/data/koolproxy_ipset_ip.list -q https://houzi008.coding.net/p/koolproxy_list/d/koolproxy_list/git/raw/master/koolproxy_ipset_ip.list
			koolproxy_black_ip=`cat $KSROOT/koolproxy/data/koolproxy_ipset_ip.list`
			for b in $koolproxy_black_ip
			do
				ipset -! add black_koolproxy $b >/dev/null 2>&1
			done
		}
	else
		:
		wget -O $KSROOT/koolproxy/data/koolproxy_ipset.conf -q https://houzi008.coding.net/p/koolproxy_list/d/koolproxy_list/git/raw/master/koolproxy_ipset.conf
		[ "$koolproxy_ipset_ip_oline" == "$koolproxy_ipset_ip_local" ] && {
			:
		} || {
			:
			wget -O $KSROOT/koolproxy/data/koolproxy_ipset_ip.list -q https://houzi008.coding.net/p/koolproxy_list/d/koolproxy_list/git/raw/master/koolproxy_ipset_ip.list
			koolproxy_black_ip=`cat $KSROOT/koolproxy/data/koolproxy_ipset_ip.list`
			for b in $koolproxy_black_ip
			do
				ipset -! add black_koolproxy $b >/dev/null 2>&1
			done
		}
	fi

	/etc/init.d/dnsmasq restart
}

update_hb_list
